## org.apache.hadoop.examples
Class MultiFileWordCount.WordOffset

    java.lang.Object
      org.apache.hadoop.examples.MultiFileWordCount.WordOffset

All Implemented Interfaces:
  Comparable, Writable, WritableComparable

Enclosing class:
  MultiFileWordCount

    public static class MultiFileWordCount.WordOffset

extends Object
implements WritableComparable

This record keeps <filename,offset> pairs.

Constructor Summary
`MultiFileWordCount.WordOffset()`

Method Summary
`int` `compareTo(Object o)`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFileWordCount.WordOffset

    public MultiFileWordCount.WordOffset()

Method Detail

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2009 The Apache Software Foundation